export function getComputedSettings(settingsDefs: any, object: any, storedSettings: any, extra?: {}): {};
export function getSettingsWidgets(settingDefs: any, storedSettings: any, computedSettings: any, object: any, onChangeSettings: any, extra?: {}): any[];
export function getPersistableDefaultSettings(settingsDefs: any, completeSettings: any): {};
export function updateSettings(storedSettings: any, changedSettings: any): any;
export function getClickBehaviorSettings(settings: any): {
    click_behavior: any;
    column_settings: any;
};
export function getLineAreaBarComparisonSettings(columnSettings: any): Partial<any>;
